RFS: ruby-cucumber-expressions

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

RFS: ruby-cucumber-expressions

James Valleroy-2
Hello,

This package is ready to be uploaded. It has a new upstream release.
Salsa CI shows passed with no errors.

Could someone please sponsor the upload?

Regards,
James


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: RFS: ruby-cucumber-expressions

Sruthi Chandran-3
On 15/08/2019 04:52, James Valleroy wrote:
> Hello,
>
> This package is ready to be uploaded. It has a new upstream release.
> Salsa CI shows passed with no errors.
>
> Could someone please sponsor the upload?

Done!
>
> Regards,
> James
>
Thanks,
srud

Reply | Threaded
Open this post in threaded view
|

Re: RFS: ruby-cucumber-expressions

Utkarsh Gupta
In reply to this post by James Valleroy-2
Hey,

On 15/08/19 4:52 am, James Valleroy wrote:
> Hello,
>
> This package is ready to be uploaded. It has a new upstream release.
> Salsa CI shows passed with no errors.
>
> Could someone please sponsor the upload?

Thanks to Sruthi, it is uploaded now! :D
But a couple of things for the next update:
- Package is missing d/upstream/metadata. Please add the same :)
- Package uses debhelper (>= 11). You should instead change it to
debhelper-compat (=12) in d/control and remove d/compat.


Let me know if you need any help.


Best,
Utkarsh



signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: RFS: ruby-cucumber-expressions

Matijs van Zuijlen-2
Hi all,

Please be very careful with simply updating random cucumber gems to
their latest version. The current stable release of cucumber (3.1.2)
depends on cucumber-expressions 6.0.1, and the next release (4.0.0) is
stuck in beta due to problems with the google-protobuf gem.

If the goal is to get the latest cucumber (3.1.2) into debian,
cucumber-expressions should be at version 6, not 8.

Kind regards,
Matijs van Zuijlen

On 15/08/2019 10:32, Utkarsh Gupta wrote:

> Hey,
>
> On 15/08/19 4:52 am, James Valleroy wrote:
>> Hello,
>>
>> This package is ready to be uploaded. It has a new upstream release.
>> Salsa CI shows passed with no errors.
>>
>> Could someone please sponsor the upload?
>
> Thanks to Sruthi, it is uploaded now! :D
> But a couple of things for the next update:
> - Package is missing d/upstream/metadata. Please add the same :)
> - Package uses debhelper (>= 11). You should instead change it to
> debhelper-compat (=12) in d/control and remove d/compat.
>
>
> Let me know if you need any help.
>
>
> Best,
> Utkarsh
>
>


signature.asc (499 bytes) Download Attachment